cURL
curl -X POST https://api.aiql.io/connections/{id}/sync \
-H "Authorization: Bearer $AIQL_API_KEY"{
"workflow_id": "<string>",
"run_id": "<string>",
"connection_id": "<string>",
"workspace_id": "<string>",
"dry_run": true,
"status": "started"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Connections
Sync Connection
POST
/
connections
/
{id}
/
sync
cURL
curl -X POST https://api.aiql.io/connections/{id}/sync \
-H "Authorization: Bearer $AIQL_API_KEY"{
"workflow_id": "<string>",
"run_id": "<string>",
"connection_id": "<string>",
"workspace_id": "<string>",
"dry_run": true,
"status": "started"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Body
application/json
Run the sync without persisting new/changed documents.